Warning!

Notice: the grml team is migrating from Mercurial to Git.
Please visit git.grml.org instead!

Apply patch by Lupe Christoph for 98-clean-chroot
authorMichael Prokop <mika@grml.org>
Tue Jan 08 09:12:03 2008 +0100 (10 months ago)
changeset 446c8b1428c5f47
manifestc8b1428c5f47
parent 4458b290d9f2c59
child 447ea37ad087a78
child 4494f1bb47020f4
Apply patch by Lupe Christoph for 98-clean-chroot
debian/changelog
etc/grml/fai/config/scripts/GRMLBASE/98-clean-chroot
--- a/debian/changelog Mon Jan 07 11:35:08 2008 +0100
+++ b/debian/changelog Tue Jan 08 09:12:03 2008 +0100
@@ -18,8 +18,7 @@ grml-live (0.0.15) unstable; urgency=low
- add grml2hd template for grub
* /etc/grml/fai/config/scripts/GRMLBASE/98-clean-chroot:
remove packages via dpkg instead of apt-get. Thanks for the
- bugreport to Lupe Christoph. Thanks for the fix, formorer.
- [Testing: issue367]
+ bugreport and the patch, Lupe Christoph! [Closes: issue367]
-- Michael Prokop <mika@grml.org> Fri, 28 Dec 2007 18:48:11 +0100
--- a/etc/grml/fai/config/scripts/GRMLBASE/98-clean-chroot Mon Jan 07 11:35:08 2008 +0100
+++ b/etc/grml/fai/config/scripts/GRMLBASE/98-clean-chroot Tue Jan 08 09:12:03 2008 +0100
@@ -4,7 +4,7 @@
# Authors: grml-team (grml.org), (c) Michael Prokop <mika@grml.org>
# Bug-Reports: see http://grml.org/bugs/
# License: This file is licensed under the GPL v2 or any later version.
-# Latest change: Mon Jän 07 11:33:41 CET 2008 [mika]
+# Latest change: Die Jän 08 09:11:17 CET 2008 [mika]
################################################################################
set -e
@@ -34,7 +34,9 @@ fi
# make sure to drop from grml-small what's unnecessary:
if ifclass GRML_SMALL ; then
- $ROOTCMD dpkg --purge groff-base info locales man-db manpages nano
+ for pkg in groff-base info locales man-db manpages nano; do
+ $ROOTCMD dpkg --purge $pkg || true
+ done
fi
# remove /usr/share/doc, /usr/share/info,... only in class REMOVE_DOCS: